Bug 215944 - kernel dm snapshot: chunk_size parameter is not required after creation
kernel dm snapshot: chunk_size parameter is not required after creation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Broz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-16 09:32 EST by Milan Broz
Modified: 2013-02-28 23:04 EST (History)
12 users (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 00:09:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2006-11-16 09:32:36 EST
+++ This bug was initially created as a clone of Bug #209840 +++
RHEL 4.5 clone

The snapshot chunk size cannot be changed after snapshot creation so it is wrong
to require userspace to supply the correct value in subsequent operations.

This patch accepts 0 for the chunk_size parameter when the kernel already knows
it.  If it doesn't (at creation time) it still allows 0 and uses a default value
(16KB).
Comment 1 RHEL Product and Program Management 2006-11-16 09:45:12 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Jason Baron 2006-12-07 15:36:36 EST
committed in stream U5 build 42.29. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 6 Red Hat Bugzilla 2007-05-08 00:09:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.